Bug 922472 - [abrt] mate-settings-daemon-1.5.5-1.fc18: INT_cairo_set_source_surface: Process /usr/libexec/mate-settings-daemon was killed by signal 11 (SIGSEGV)
Summary: [abrt] mate-settings-daemon-1.5.5-1.fc18: INT_cairo_set_source_surface: Proce...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mate-settings-daemon
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Mashal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:d6a950059d648d28103b7c420a6...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-17 09:32 UTC by mamii
Modified: 2013-04-11 10:03 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-11 09:59:15 UTC


Attachments (Terms of Use)
File: backtrace (21.57 KB, text/plain)
2013-03-17 09:32 UTC, mamii
no flags Details
File: cgroup (127 bytes, text/plain)
2013-03-17 09:32 UTC, mamii
no flags Details
File: core_backtrace (1.88 KB, text/plain)
2013-03-17 09:32 UTC, mamii
no flags Details
File: dso_list (10.66 KB, text/plain)
2013-03-17 09:32 UTC, mamii
no flags Details
File: environ (1.36 KB, text/plain)
2013-03-17 09:32 UTC, mamii
no flags Details
File: limits (1.29 KB, text/plain)
2013-03-17 09:32 UTC, mamii
no flags Details
File: maps (56.84 KB, text/plain)
2013-03-17 09:32 UTC, mamii
no flags Details
File: open_fds (779 bytes, text/plain)
2013-03-17 09:32 UTC, mamii
no flags Details
File: proc_pid_status (935 bytes, text/plain)
2013-03-17 09:32 UTC, mamii
no flags Details

Description mamii 2013-03-17 09:32:32 UTC
Version-Release number of selected component:
mate-settings-daemon-1.5.5-1.fc18

Additional info:
backtrace_rating: 4
cmdline:        /usr/libexec/mate-settings-daemon
crash_function: INT_cairo_set_source_surface
executable:     /usr/libexec/mate-settings-daemon
kernel:         3.8.2-206.fc18.x86_64
uid:            1000
var_log_messages: Mar 17 09:08:21 ldlep abrt[30186]: Saved core dump of pid 1278 (/usr/libexec/mate-settings-daemon) to /var/tmp/abrt/ccpp-2013-03-17-09:08:20-1278 (54796288 bytes)

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 INT_cairo_set_source_surface at cairo.c:754
 #1 gdk_cairo_set_source_pixbuf at gdkcairo.c:277
 #2 mate_bg_create_pixmap at mate-bg.c:1217
 #3 real_draw_bg at msd-background-manager.c:201
 #4 draw_background at msd-background-manager.c:238
 #5 _g_closure_invoke_va at gclosure.c:840
 #8 do_transitioned at mate-bg.c:280
 #14 gtk_main at gtkmain.c:1257

Comment 1 mamii 2013-03-17 09:32:36 UTC
Created attachment 711317 [details]
File: backtrace

Comment 2 mamii 2013-03-17 09:32:38 UTC
Created attachment 711318 [details]
File: cgroup

Comment 3 mamii 2013-03-17 09:32:40 UTC
Created attachment 711319 [details]
File: core_backtrace

Comment 4 mamii 2013-03-17 09:32:43 UTC
Created attachment 711320 [details]
File: dso_list

Comment 5 mamii 2013-03-17 09:32:46 UTC
Created attachment 711321 [details]
File: environ

Comment 6 mamii 2013-03-17 09:32:48 UTC
Created attachment 711322 [details]
File: limits

Comment 7 mamii 2013-03-17 09:32:51 UTC
Created attachment 711323 [details]
File: maps

Comment 8 mamii 2013-03-17 09:32:54 UTC
Created attachment 711324 [details]
File: open_fds

Comment 9 mamii 2013-03-17 09:32:57 UTC
Created attachment 711325 [details]
File: proc_pid_status

Comment 10 Stefano Karapetsas 2013-03-18 14:42:47 UTC
When did you get this crash?

Comment 11 Fedora Update System 2013-03-26 09:35:39 UTC
mate-settings-daemon-1.5.7-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mate-settings-daemon-1.5.7-1.fc17

Comment 12 Fedora Update System 2013-03-26 09:35:55 UTC
mate-settings-daemon-1.5.7-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mate-settings-daemon-1.5.7-1.fc18

Comment 13 Fedora Update System 2013-03-27 00:43:54 UTC
Package mate-settings-daemon-1.5.7-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mate-settings-daemon-1.5.7-1.fc17'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-4427/mate-settings-daemon-1.5.7-1.fc17
then log in and leave karma (feedback).

Comment 14 Fedora Update System 2013-04-11 09:59:18 UTC
mate-settings-daemon-1.5.7-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2013-04-11 10:03:24 UTC
mate-settings-daemon-1.5.7-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.